import PropTypes from 'prop-types';
import {useUser} from '../../hooks/user';

export function UseUser(props) {
  return props.children(useUser());
}

UseUser.propTypes = {
  children: PropTypes.func.isRequired
};
